All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.collection
Class DictionaryChangedInfo

    com.sas.collection.DictionaryChangedInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DictionaryChangedInfo

`DictionaryChangedInfo` is a `ContentsChangedEvent` event object that is created/sent when a `Dictionary` has changed. There are no specific listeners for this event; use the add/removeContentsChangedListener on `DictionaryInterface` objects.

See Also:
  `CollectionChangedInfo`, `ContentsChangedEvent`, `HowChanged`, Serialized Form

Field Summary
`HowChanged` | `howChanged` How the items have changed.
`java.lang.Object` | `key` The key corresponding to the item that was changed (added, removed, replaced)
`java.lang.Object` | `newItem` The item that was changed (added, removed, replaced)
`java.lang.Object` | `origItem` The item that was changed (added, removed, replaced)

Constructor Summary
`DictionaryChangedInfo(java.lang.Object source)` Construct a `DictionaryChangedInfo` object which conveys that a some other change has been made to the dictionary.
`DictionaryChangedInfo(java.lang.Object source, HowChanged howChanged)` Construct a `DictionaryChangedInfo` object which conveys that a one or more items have been added/removed/replaced from the Dictionary.
`DictionaryChangedInfo(java.lang.Object source, HowChanged howChanged, java.lang.Object item)` Construct a `DictionaryChangedInfo` object which conveys that a single item has changed (either added, removed, or replaced)
`DictionaryChangedInfo(java.lang.Object source, HowChanged howChanged, java.lang.Object origItem, java.lang.Object newItem)` Construct a `DictionaryChangedInfo` object which conveys that a single item has changed (either added, removed, or replaced)
`DictionaryChangedInfo(java.lang.Object source, HowChanged howChanged, java.lang.Object key, java.lang.Object origItem, java.lang.Object newItem)` Construct a `DictionaryChangedInfo` object which conveys that a single item at a specific key has changed (either added or removed).

Method Summary
`java.lang.Object` | `clone(com.sas.collection.ContentsChangedSource newSource)` Clone the DictionaryChangedInfo and sets the source to be the newSource

Methods inherited from class com.sas.collection.ContentsChangedEvent
`clone`

Field Detail

### origItem

    public java.lang.Object origItem

  The item that was changed (added, removed, replaced)

### newItem

    public java.lang.Object newItem

  The item that was changed (added, removed, replaced)

### key

    public java.lang.Object key

  The key corresponding to the item that was changed (added, removed, replaced)

### howChanged

    public final HowChanged howChanged

  How the items have changed. One of ``HowChanged.REMOVED``, ``HowChanged.ADDED``, ``HowChanged.REPLACED``, ``HowChanged.REORDERED`` or ``HowChanged.OTHER``

Constructor Detail

### DictionaryChangedInfo

    public DictionaryChangedInfo(java.lang.Object source)

  Construct a `DictionaryChangedInfo` object which conveys that a some other change has been made to the dictionary.

  Parameters:
    `source` - the object whose contents have changed.

### DictionaryChangedInfo

    public DictionaryChangedInfo(java.lang.Object source,
                                 HowChanged howChanged)

  Construct a `DictionaryChangedInfo` object which conveys that a one or more items have been added/removed/replaced from the Dictionary.

  Parameters:
    `source` - the object whose contents have changed.
    `howChanged` - indicates if the items were added or removed or replaced.

### DictionaryChangedInfo

    public DictionaryChangedInfo(java.lang.Object source,
                                 HowChanged howChanged,
                                 java.lang.Object origItem,
                                 java.lang.Object newItem)

  Construct a `DictionaryChangedInfo` object which conveys that a single item has changed (either added, removed, or replaced)

  Parameters:
    `source` - the object whose contents have changed.
    `howChanged` - indicates if the item was added or removed
    `origItem` - the original item removed/replaced from the dictionary. If `null`, the newItem was added.
    `newItem` - the new item added to the dictionary. If `null`, the origItem was removed.

### DictionaryChangedInfo

    public DictionaryChangedInfo(java.lang.Object source,
                                 HowChanged howChanged,
                                 java.lang.Object item)

  Construct a `DictionaryChangedInfo` object which conveys that a single item has changed (either added, removed, or replaced)

  Parameters:
    `source` - the object whose contents have changed.
    `howChanged` - indicates if the item was added or removed
    `item` - the item added to or removed from to the dictionary

### DictionaryChangedInfo

    public DictionaryChangedInfo(java.lang.Object source,
                                 HowChanged howChanged,
                                 java.lang.Object key,
                                 java.lang.Object origItem,
                                 java.lang.Object newItem)

  Construct a `DictionaryChangedInfo` object which conveys that a single item at a specific key has changed (either added or removed).

  Parameters:
    `source` - the object whose contents have changed.
    `howChanged` - indicates if the item was added or removed
    `key` - the key of the item that was added, removed, or replaced.
    `origItem` - the original item removed/replaced from the dictionary. If `null`, the newItem was added.
    `newItem` - the new item added to the dictionary. If `null`, the origItem was removed.

Method Detail

### clone

    public java.lang.Object clone(com.sas.collection.ContentsChangedSource newSource)
                           throws java.lang.CloneNotSupportedException

  Clone the DictionaryChangedInfo and sets the source to be the newSource

  Returns:
    a clone of the DictionaryChangedInfo, with the source changed to the newSource.
  Throws:
    `java.lang.CloneNotSupportedException` - if the DictionaryChangedInfo cannot be cloned.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.